Clinia
TerminologyVocabularies

Upsert a concept in a vocabulary

PUT
/terminology/v1/vocabularies/{vocabularyKey}/concepts/{conceptCode}

Upsert a concept in a vocabulary.

X-Clinia-API-Key<token>

In: header

Path Parameters

vocabularyKey*string

The key of the vocabulary.

conceptCode*string

The code of the concept.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/terminology/v1/vocabularies/string/concepts/string" \  -H "Content-Type: application/json" \  -d '{    "definition": "string",    "designation": {      "property1": "string",      "property2": "string"    }  }'
{  "vocabularyKey": "string",  "code": "string",  "definition": "string",  "designation": {    "property1": "string",    "property2": "string"  }}